#$Id: libmcrypt.spec,v 1.7 2003/08/04 08:40:32 dude Exp $

Summary: Thread-safe data encryption library.
Name: libmcrypt
Version: 2.4.22
Release: 4.fr
License: LGPL
Group: System Environment/Libraries
Source: ftp://mcrypt.hellug.gr/pub/crypto/mcrypt/%{name}/%{name}-%{version}.tar.gz
URL: http://mcrypt.hellug.gr/
BuildRoot: %{_tmppath}/%{name}-root

%description
Libmcrypt is the library which implements all the algorithms and modes found in
mcrypt. Unlike most encryption libraries, it does not have everything (random
number generators, hashes, hmac implementation, key exchange, public key
encryption etc.). It only implements an interface to access block and stream
encryption algorithms. It's purpose was to assist in the development of mcrypt
by providing a uniform interface to access several different encryption
algorithms, so that the main program is independent of the encryption
algorithms and the modes used.


%package devel
Summary: Header files and libraries for developing apps with libmcrypt.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Libmcrypt is the library which implements all the algorithms and modes found in
mcrypt. Unlike most encryption libraries, it does not have everything (random
number generators, hashes, hmac implementation, key exchange, public key
encryption etc.). It only implements an interface to access block and stream
encryption algorithms. It's purpose was to assist in the development of mcrypt
by providing a uniform interface to access several different encryption
algorithms, so that the main program is independent of the encryption
algorithms and the modes used.

This package contains the header files and libraries needed to develop
programs that use the libmcrypt library.


%prep
%setup -q

%build
# The %%configure macro doesn't work with 2.4.x
export CFLAGS="%{optflags}"
./configure \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--mandir=%{_mandir} \
	--disable-posix-threads \
	--with-included-algos="arcfour blowfish-compat blowfish cast-128 cast-256 cbc cfb des ecb enigma gost loki97 ncfb nofb ofb panama rc2 rijndael-128 rijndael-192 rijndael-256 safer-sk128 safer-sk64 saferplus serpent stream threeway tripledes twofish wake xtea"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog KNOWN-BUGS NEWS README THANKS TODO
%{_libdir}/*.so*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so

%files devel
%defattr(-, root, root)
%doc doc/README* doc/*.c
%{_bindir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.a
%exclude %{_libdir}/%{name}/*.la
%{_includedir}/*
%{_datadir}/aclocal/*.m4
%{_mandir}/man3/*

%changelog
* Mon Aug  4 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added (all?) algos, as suggested by Chris Petersen.
- Moved the .so symlinks to the main package as php seems to not work without.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Exclude .la files.

* Wed Nov  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Reverted to 2.4.x since 2.5.3 doesn't seem to work with php.

* Mon Nov  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added included algos.

* Tue Oct 29 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

